npm command-line interface

# npm-docs

Open documentation for a package in a web browser

## Table of contents

- Synopsis
- Description
- Configuration

- browser
- registry
- workspaces
- workspace

- See Also

### Synopsis

    npm docs [<pkgname> [<pkgname> ...]]

    aliases: home

### Description

This command tries to guess at the likely location of a package’s documentation URL, and then tries to open it using the `--browser` config param. You can pass multiple package names at once. If no package name is provided, it will search for a `package.json` in the current folder and use the `name` property.

### Configuration

#### browser

- Default: OS X: `"open"`, Windows: `"start"`, Others: `"xdg-open"`
- Type: String or Boolean

The browser that is called by the `npm docs` command to open websites.

Set to `false` to suppress browser behavior and instead print urls to terminal.

Set to `true` to use default system URL opener.

#### registry

- Default: https://registry.npmjs.org/
- Type: url

The base URL of the npm package registry.

#### workspaces

Enables workspaces context while searching the `package.json` in the current folder. Documentation urls for the packages named in each workspace will be opened.

#### workspace

Enables workspaces context and limits results to only those specified by this config item. Only the documentation urls for the packages named in the workspaces given here will be opened.

### See Also

- npm view
- npm publish
- npm registry
- npm config
- npmrc
- package.json